Package: org.codehaus.groovy.runtime

## [Java] Class ConvertedClosure

- org.codehaus.groovy.runtime.ConvertedClosure

- All Implemented Interfaces and Traits:
    Serializable

      public class ConvertedClosure
      extends ConversionHandler

  This class is a general adapter to adapt a closure to any Java interface.

  Authors:
    Ben Yu
    Jochen Theodorou Jul 27, 2006 3:50:51 PM

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ConvertedClosure (Closure closure, String method)` to create a ConvertedClosure object.
    `ConvertedClosure (Closure closure)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Object` | `invokeCustom(Object proxy, Method method, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ConversionHandler` | `checkMethod, equals, getDelegate, hashCode, invoke, invokeCustom, isCoreObjectMethod, toString`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ConvertedClosure(Closure closure, String method)

      to create a ConvertedClosure object.

      Parameters:
        `closure` - the closure object.

    - #### public ConvertedClosure(Closure closure)

  - ### Method Detail

    - #### public Object invokeCustom(Object proxy, Method method, Object[] args)